# rpmProblemSet_s Struct Reference

`#include <rpmlib.h>`

## Data Fields

int | numProblems
int | numProblemsAlloced
rpmProblem | probs

## Field Documentation

int rpmProblemSet_s::numProblems

| Current probs array size. Definition at line 999 of file rpmlib.h. Referenced by psAppend(), psTrim(), rpmProblemSetFree(), rpmProblemSetPrint(), rpmRunTransactions(), and rpmtransRun().

int rpmProblemSet_s::numProblemsAlloced

| Allocated probs array size. Definition at line 1000 of file rpmlib.h. Referenced by psAppend().

rpmProblem rpmProblemSet_s::probs

| Array of specific problems. Definition at line 1001 of file rpmlib.h. Referenced by psAppend(), psTrim(), rpmProblemSetFree(), rpmProblemSetPrint(), and rpmtransRun().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h